Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUPanelBindingBeanInfo

`java.lang.Object
java.beans.SimpleBeanInfo
oracle.jbo.uicli.jui.JUPanelBindingBeanInfo`

All Implemented Interfaces:
  java.beans.BeanInfo

public class JUPanelBindingBeanInfo
extends java.beans.SimpleBeanInfo

Field Summary

Fields inherited from interface java.beans.BeanInfo
`ICON_COLOR_16x16, ICON_COLOR_32x32, ICON_MONO_16x16, ICON_MONO_32x32`

Constructor Summary
`JUPanelBindingBeanInfo()`

Method Summary
`java.beans.BeanDescriptor` | `getBeanDescriptor()` Identifies this bean's validator and customizer classes.
`java.beans.EventSetDescriptor[]` | `getEventSetDescriptors()`

Methods inherited from class java.beans.SimpleBeanInfo
`getAdditionalBeanInfo, getDefaultEventIndex, getDefaultPropertyIndex, getIcon, getMethodDescriptors, getPropertyDescriptors, loadImage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUPanelBindingBeanInfo

    public JUPanelBindingBeanInfo()

Method Detail

### getEventSetDescriptors

    public java.beans.EventSetDescriptor[] getEventSetDescriptors()

### getBeanDescriptor

    public java.beans.BeanDescriptor getBeanDescriptor()

  Identifies this bean's validator and customizer classes.
  Returns:
    a bean descriptor.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.